#
# spec file for package python-testpath
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-testpath
Version:        0.2
Release:        3.1
Summary:        Test utilities for code working with files and commands
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/jupyter/testpath
Source0:        https://github.com/jupyter/testpath/archive/%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/jupyter/testpath/master/LICENSE
BuildRequires:  python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Testpath is a collection of utilities for Python code working with
files and commands.

It contains functions to check things on the filesystem, and tools
for mocking system commands and recording calls to those.

%prep
%setup0 -q -n testpath-%{version}
cp %{SOURCE1} ./

%build
# We don't do anything here

%install
mkdir -p %{buildroot}%{python_sitelib}
cp -r testpath %{buildroot}%{python_sitelib}
%py_compile %{buildroot}%{python_sitelib}

%files
%defattr(-,root,root,-)
%doc README.rst
%doc LICENSE
%{python_sitelib}/*

%changelog
* Fri Jan 29 2016 toddrme2178@gmail.com
- Don't use flit (which doesn't work reliably),
  just copy the sources to the right place.
* Wed Oct 14 2015 toddrme2178@gmail.com
- Add LICENSE file from upstream github project.
* Tue Sep 29 2015 toddrme2178@gmail.com
- Initial version
